Package ch.qos.logback.classic.util

# Class CopyOnInheritThreadLocal

java.lang.Object
java.lang.ThreadLocal<T>
java.lang.InheritableThreadLocal<HashMap<String,String>>
ch.qos.logback.classic.util.CopyOnInheritThreadLocal

public class CopyOnInheritThreadLocal extends InheritableThreadLocal<HashMap<String,String>>
This class extends InheritableThreadLocal so that children threads get a copy of the parent's hashmap.

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`CopyOnInheritThreadLocal()`

## Method Summary

Modifier and Type
Method
Description
`protected HashMap<String,String>`
`childValue(HashMap<String,String> parentValue)`
Child threads should get a copy of the parent's hashmap.

### Methods inherited from class java.lang.ThreadLocal

`get, initialValue, remove, set, withInitial`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CopyOnInheritThreadLocal

public CopyOnInheritThreadLocal()

## Method Details

### childValue

protected HashMap<String,String> childValue(HashMap<String,String> parentValue)
Child threads should get a copy of the parent's hashmap.

Overrides:
  `childValue` in class `InheritableThreadLocal<HashMap<String,String>>`